#include <stdio.h>
#include <math.h>

double getprob(double x, double mean, double sigma);

#define MEAN 0.0
#define SIGMA 1.0

int main(void)
{
	double x;

	for (x=-5; x <= 5; x += 0.1) {
	  printf("%.2f\t%f\n",x,getprob(x,MEAN,SIGMA));
	}
}

double getprob(double x, double mean, double sigma)
{
	double prob;

	prob = 1.0/(sqrt(2.0*M_PI)*sigma)*exp(-0.5*(x-mean)*(x-mean)/(sigma*sigma));

	return prob;
}