#include <stdio.h>
#include <string.h>
#include <math.h>

#define ASCIIBASE_0 48

double atof(char s[]);

int main(void)
{
  char number[] = "-1234.5678";
  double x;

  x = atof(number);
  printf("%f\n",x);

  return 0;
}

double atof(char s[])
{
  double x = 0;
  char decimal = 0;
  int dot = -1;
  char sign = 0;
  int i;
  for(i = 0;i<(int)strlen(s);i++)
    {
      if(!isdigit(s[i]))
	{
	  if(s[i]=='.')
	    {
	      decimal = 1;
	      continue;
	    }
	  else 
	    {
	      if(s[i]=='-'&&i==0)
		{
		  sign = 1;
		  continue;
		}
	      else
		{
		  printf("Syntax Error\n");
		  return -1.0;
		}
	    }
	}
      if(decimal)
	{
	  x += (double)(s[i]-ASCIIBASE_0)*pow(10.0,(double)dot);
	  dot--;
	}
      else
	{
	  x = x*10 + (double)(s[i]-ASCIIBASE_0);
	}
    }
  if(sign)
    {
      x *= -1;
    }
  

  return x;
}
